org.bouncycastle.asn1.cryptopro

## Class ECGOST3410ParamSetParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cryptopro.ECGOST3410ParamSetParameters

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ECGOST3410ParamSetParameters
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECGOST3410ParamSetParameters(ASN1Sequence seq)`
    `ECGOST3410ParamSetParameters(java.math.BigInteger a, java.math.BigInteger b, java.math.BigInteger p, java.math.BigInteger q, int x, java.math.BigInteger y)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getA()`
    `static ECGOST3410ParamSetParameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static ECGOST3410ParamSetParameters` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getP()`
    `java.math.BigInteger` | `getQ()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECGOST3410ParamSetParameters

          public ECGOST3410ParamSetParameters(java.math.BigInteger a,
                                              java.math.BigInteger b,
                                              java.math.BigInteger p,
                                              java.math.BigInteger q,
                                              int x,
                                              java.math.BigInteger y)

    - #### ECGOST3410ParamSetParameters

          public ECGOST3410ParamSetParameters(ASN1Sequence seq)

  - ### Method Detail

    - #### getInstance

          public static ECGOST3410ParamSetParameters getInstance(ASN1TaggedObject obj,
                                                                 boolean explicit)

    - #### getInstance

          public static ECGOST3410ParamSetParameters getInstance(java.lang.Object obj)

    - #### getP

          public java.math.BigInteger getP()

    - #### getQ

          public java.math.BigInteger getQ()

    - #### getA

          public java.math.BigInteger getA()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.